Create schedule task
Creates a task in a server schedule.
/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasksAuthorization
default Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
The server UUID.
The schedule ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/schedules/1/tasks" \ -H "Content-Type: application/json" \ -d '{ "action": "example", "time_offset": 1.5 }'{ "object": "schedule_task", "attributes": { "id": 151, "sequence_id": 4, "action": "power", "payload": "test command", "time_offset": 120, "is_queued": false, "continue_on_failure": false, "created_at": "2026-09-22T14:45:24+00:00", "updated_at": "2026-09-22T14:45:24+00:00" }}